<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
	<xsl:import href="Items.xsl"/>	
	<xsl:import href="Feats.xsl"/>	
	<xsl:import href="Skills.xsl"/>	
	<xsl:import href="Spells Known.xsl"/>	
	<xsl:import href="Spells Prepared.xsl"/>	
	<xsl:import href="../Character/Stat Functions"/>
	<xsl:import href="../Character/General String Functions"/>
	<xsl:output method="html" indent="no" encoding="UTF-8"/>	
	<xsl:template name='translatebreak'>		
		<xsl:param name='data'/>		
		<xsl:variable name='separator' select='"&#xA;"'/>		
		<xsl:variable name='first' select='substring-before($data,$separator)'/>		
		<xsl:variable name='rest'  select='substring-after($data,$separator)'/>		
		<xsl:choose>			
			<xsl:when test='$rest'>				
				<xsl:call-template name='translatetab'>					
					<xsl:with-param name='data' select='$first'/>					
					<xsl:with-param name='count' select="0"/>				
				</xsl:call-template>				
				<br/>				
				<xsl:call-template name='translatebreak'>					
					<xsl:with-param name='data' select='$rest'/>				
				</xsl:call-template>			
			</xsl:when>			
			<xsl:otherwise>				
				<xsl:call-template name='translatetab'>					
					<xsl:with-param name='data' select='$data'/>					
					<xsl:with-param name='count' select="0"/>				
				</xsl:call-template>				
				<br/>			
			</xsl:otherwise>		
		</xsl:choose>	
	</xsl:template>	
	<xsl:template name='translatetab'>		
		<xsl:param name='data'/>		
		<xsl:param name='count'/>		
		<xsl:variable name='separator' select='"&#x9;"'/>		
		<xsl:variable name='first' select='substring-before($data,$separator)'/>		
		<xsl:variable name='rest'  select='substring-after($data,$separator)'/>		
		<xsl:choose>			
			<xsl:when test='$rest'>				
				<xsl:if test="$count = 0">					
					<xsl:value-of select='$first'/>
					<xsl:variable name='guide'  select="7 - string-length($first)"/>
					<xsl:call-template name='spaces'>
						<xsl:with-param name='guide' select='$guide'/>
					</xsl:call-template>
					<xsl:call-template name='translatetab'>
						<xsl:with-param name='data' select='$rest'/>
						<xsl:with-param name='count' select="$count + 1"/>
					</xsl:call-template>
				</xsl:if>

				<xsl:if test="$count = 1">					
					<xsl:value-of select='$first'/>					
					<xsl:variable name='guide'  select="15 - string-length($first)"/>					
					<xsl:call-template name='spaces'>						
						<xsl:with-param name='guide' select='$guide'/>					
					</xsl:call-template>					
					<xsl:call-template name='translatetab'>						
						<xsl:with-param name='data' select='$rest'/>						
						<xsl:with-param name='count' select="$count + 1"/>					
					</xsl:call-template>				
				</xsl:if>				
				<xsl:if test="$count &gt; 1">					
					<xsl:value-of select='$first'/>					
					<xsl:variable name='guide'  select="20 - string-length($first)"/>					
					<xsl:call-template name='spaces'>						
						<xsl:with-param name='guide' select='$guide'/>					
					</xsl:call-template>					
					<xsl:call-template name='translatetab'>						
						<xsl:with-param name='data' select='$rest'/>						
						<xsl:with-param name='count' select="$count + 1"/>					
					</xsl:call-template>				
				</xsl:if>			
			</xsl:when>			
			<xsl:otherwise>				
				<xsl:choose>					
					<xsl:when test="$count &gt; 0">						
						<xsl:value-of select='$data'/>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:value-of select='$data'/>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:otherwise>		
		</xsl:choose>	
	</xsl:template>	
	<xsl:template name='spaces'>		
		<xsl:param name='guide'/>		
		<xsl:if test="$guide &gt; 0">			
			<xsl:text disable-output-escaping="yes">&amp;#160;</xsl:text>			
			<xsl:call-template name='spaces'>				
				<xsl:with-param name='guide' select='$guide - 1'/>			
			</xsl:call-template>		
		</xsl:if>	
	</xsl:template>	
	<xsl:template match="monster">		
		<font face="Courier" style="font-size:11pt">			
			<b>				
				<xsl:value-of select="name"/>				
				<xsl:if test="number(number) &gt; 1">					
					<xsl:text> </xsl:text>(
					<xsl:value-of select="./number"/>)
				</xsl:if>			
			</b>:
			<xsl:if test="challenge-rating != 0">
		CR
				<xsl:value-of select="challenge-rating"/>;
			</xsl:if>			
			<xsl:value-of select="size/category"/>			
			<xsl:text> </xsl:text>			
			<xsl:value-of select="size/type"/>			
			<xsl:text> </xsl:text>			
			<xsl:value-of select="size/subtype"/>;
			<xsl:text> </xsl:text>
	HD
			<xsl:text> </xsl:text>			
			<xsl:for-each select="hit-dice/hit-die">				
				<xsl:value-of select="die"/>				
				<xsl:value-of select="bonus"/>				
				<xsl:text> (</xsl:text>
				<xsl:value-of select="class"/>)
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>; </xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>
	hp
			<xsl:value-of select="hit-points"/>;
			<xsl:text> </xsl:text>			
			<xsl:variable name="init" select="sum(initiative/modifiers/modifier[@name != 'misc']/@value)"/>			
			<xsl:text>Init </xsl:text>			
			<xsl:if test="$init >= 0">
		<xsl:text>+</xsl:text>
			</xsl:if>			
			<xsl:value-of select="$init"/>;
			<xsl:text> </xsl:text>			
			<xsl:text>Spd </xsl:text>			
			<xsl:for-each select="speeds/speed">				
				<xsl:if test="position() &gt; 1">					
					<xsl:text>, </xsl:text>				
				</xsl:if>				
				<xsl:choose>					
					<xsl:when test="name = 'Base'">						
						<xsl:value-of select="value"/>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:value-of select="name"/>						
						<xsl:text> </xsl:text>						
						<xsl:value-of select="value"/>					
					</xsl:otherwise>				
				</xsl:choose>				
				<xsl:if test="position() = last()">					
					<xsl:text>; </xsl:text>				
				</xsl:if>			
			</xsl:for-each>
			<xsl:text>AC:</xsl:text>
			<xsl:call-template name="AC">
				<xsl:with-param name="AC-mods" select="//monster/armor-class/modifiers"/>
			</xsl:call-template>
			<xsl:text> (Flatfooted:</xsl:text>
			<xsl:call-template name="AC-flat-footed">
				<xsl:with-param name="AC-mods" select="//monster/armor-class/modifiers"/>
				<xsl:with-param name="all-class-features" select="//character/features/class-features//feature"/>
			</xsl:call-template>
			<xsl:text> </xsl:text>
			<xsl:text>Touch:</xsl:text>
			<xsl:call-template name="AC-touch">
				<xsl:with-param name="AC-mods" select="//monster/armor-class/modifiers"/>
			</xsl:call-template>
			<xsl:text>); </xsl:text>
			<xsl:variable name="melee" select="sum(attacks/melee/modifiers/modifier[@name != 'misc']/@value)"/>			
			<xsl:text>Atk </xsl:text>			
			<xsl:if test="$melee >= 0">
		<xsl:text>+</xsl:text>
			</xsl:if>			
			<xsl:value-of select="$melee"/>			
			<xsl:text> base melee, </xsl:text>			
			<xsl:variable name="ranged" select="sum(attacks/ranged/modifiers/modifier[@name != 'misc']/@value)"/>			
			<xsl:if test="$ranged >= 0">
		<xsl:text>+</xsl:text>
			</xsl:if>			
			<xsl:value-of select="$ranged"/>			
			<xsl:text> base ranged; </xsl:text>			
			<xsl:for-each select="equiped-items/weapons">				
				<xsl:for-each select="weapon">					
					<xsl:value-of select="bonus"/>					
					<xsl:choose>						
						<xsl:when test="position() = last()">			</xsl:when>						
						<xsl:otherwise>							
							<xsl:text>/</xsl:text>						
						</xsl:otherwise>					
					</xsl:choose>				
				</xsl:for-each>				
				<xsl:text> (</xsl:text>
				<xsl:for-each select="weapon">					
					<xsl:value-of select="damage"/>,
					<xsl:value-of select="name"/>					
					<xsl:choose>						
						<xsl:when test="position() = last()">			</xsl:when>						
						<xsl:otherwise>							
							<xsl:text>; </xsl:text>						
						</xsl:otherwise>					
					</xsl:choose>				
				</xsl:for-each>
		
				<xsl:text>); </xsl:text>
			</xsl:for-each>			
			<xsl:for-each select="features/special-attacks/special-attack">				
				<xsl:if test="position() = 1">					
					<xsl:text>SA: </xsl:text>				
				</xsl:if>				
				<xsl:value-of select="."/>				
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>; </xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>			
			<xsl:for-each select="features/special-qualities/special-quality">				
				<xsl:if test="position() = 1">					
					<xsl:text>SQ: </xsl:text>				
				</xsl:if>				
				<xsl:value-of select="."/>				
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>; </xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>			
			<xsl:for-each select="features/race-features/race-feature">				
				<xsl:if test="position() = 1">					
					<xsl:text>RF: </xsl:text>				
				</xsl:if>				
				<xsl:value-of select="."/>				
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>; </xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>			
			<xsl:if test="spell-resistance != ''">
		SR
				<xsl:value-of select="spell-resistance"/>;
				<xsl:text> </xsl:text>			
			</xsl:if>
	AL
			<xsl:value-of select="alignment/abbr"/>;
			<xsl:text> </xsl:text>			
			<xsl:text>SV </xsl:text>			
			<xsl:for-each select="saving-throws/saving-throw">				
				<xsl:value-of select="abbr"/>				
				<xsl:text> </xsl:text>				
				<xsl:variable name="save" select="sum(modifiers/modifier[@name != 'misc']/@value)"/>				
				<xsl:if test="$save >= 0">
			<xsl:text>+</xsl:text>
				</xsl:if>				
				<xsl:value-of select="$save"/>				
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>; </xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>			
			<xsl:for-each select="abilities/ability">				
				<xsl:value-of select="abbr"/>				
				<xsl:text> </xsl:text>				
				<xsl:value-of select="base"/>				
				<xsl:choose>					
					<xsl:when test="position() = last()">						
						<xsl:text>.</xsl:text>					
					</xsl:when>					
					<xsl:otherwise>						
						<xsl:text>, </xsl:text>					
					</xsl:otherwise>				
				</xsl:choose>			
			</xsl:for-each>			
			<xsl:apply-templates select="skills"/>			
			<xsl:apply-templates select="features/feats"/>			
			<xsl:apply-templates select="spells-known"/>			
			<xsl:apply-templates select="spells-prepared"/>			
			<xsl:if test="count(items/item) > 0">				
				<br/>				
				<b>Possessions:</b>				
				<xsl:text> </xsl:text>			
			</xsl:if>			
			<xsl:apply-templates select="items"/>			
			<xsl:apply-templates select="notes"/>			
			<br/>		
		</font>	
	</xsl:template>	
	<xsl:template match="notes">		
		<xsl:if test="string-length(description) != 0">			
			<br />			
			<b>Description: </b>			
			<xsl:call-template name='translatebreak'>				
				<xsl:with-param name='data' select="description"/>			
			</xsl:call-template>		
		</xsl:if>		
		<xsl:if test="string-length(combat) != 0">			
			<br />			
			<b>Combat: </b>			
			<xsl:call-template name='translatebreak'>				
				<xsl:with-param name='data' select="combat"/>			
			</xsl:call-template>		
		</xsl:if>		
		<xsl:if test="string-length(special-attacks) != 0">			
			<br />			
			<b>Special Attacks: </b>			
			<xsl:call-template name='translatebreak'>				
				<xsl:with-param name='data' select="special-attacks"/>			
			</xsl:call-template>		
		</xsl:if>		
		<xsl:if test="string-length(special-qualities) != 0">			
			<br />			
			<b>Special Qualities: </b>			
			<xsl:call-template name='translatebreak'>				
				<xsl:with-param name='data' select="special-qualities"/>			
			</xsl:call-template>		
		</xsl:if>		
		<xsl:if test="string-length(society) != 0">			
			<br />			
			<b>Society: </b>			
			<xsl:call-template name='translatebreak'>				
				<xsl:with-param name='data' select="society"/>			
			</xsl:call-template>		
		</xsl:if>	
	</xsl:template>
</xsl:stylesheet>