<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="no" encoding="UTF-8"/>
	<xsl:template match="/treasure">
		<html>
			<head></head>
			<body>
				<xsl:attribute name="bgcolor">white</xsl:attribute>
				<xsl:variable name="pp" select="sum(items/item/cost[@name = 'pp']/@value) + sum(currency/pp)"/>
				<xsl:variable name="gp" select="sum(items/item/cost[@name = 'gp']/@value) + sum(currency/gp)"/>
				<xsl:variable name="sp" select="sum(items/item/cost[@name = 'sp']/@value) + sum(currency/sp)"/>
				<xsl:variable name="cp" select="sum(items/item/cost[@name = 'cp']/@value) + sum(currency/cp)"/>
				<table width="100%">
					<tr>
						<td width="5%">
							<br/>
						</td>
						<td width="70%">
							<font face="Verdana" style="font-size:12pt" color="black">
								<b>Treasure</b>
							</font>
						</td>
						<td width="20%" align="right">
							<font face="Verdana" style="font-size:12pt" color="black">
								<b>Total Value</b>
							</font>
						</td>
						<td width="5%">
							<br/>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<br/>
						</td>
						<td align="right">
							<xsl:call-template name="currency-special">
								<xsl:with-param name="pp" select="$pp"/>
								<xsl:with-param name="gp" select="$gp"/>
								<xsl:with-param name="sp" select="$sp"/>
								<xsl:with-param name="cp" select="$cp"/>
							</xsl:call-template>
						</td>
					</tr>
				</table>
				<hr/>
				<xsl:if test="notes != 0">
					<xsl:value-of select="notes"/>
					<hr/>
				</xsl:if>
				<xsl:if test="currency != 0">
					<table width="100%">
						<tr>
							<td width="5%">
								<br/>
							</td>
							<td width="70%">
								<font face="Verdana" style="font-size:9pt" color="black">
									<b>
										<u>Coins</u>
									</b>
								</font>
							</td>
							<td width="20%">
								<br/>
							</td>
							<td width="5%">
								<br/>
							</td>
						</tr>
						<xsl:if test="currency/pp > 0">
							<tr>
								<td colspan="2">
									<font face="Verdana" style="font-size:8pt" color="black">
					Platinum
									</font>
								</td>
								<td align="right">
									<font face="Verdana" style="font-size:8pt" color="black">
										<xsl:value-of select="currency/pp"/>
										<xsl:text> </xsl:text>pp
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="currency/gp > 0">
							<tr>
								<td colspan="2">
									<font face="Verdana" style="font-size:8pt" color="black">
					Gold
									</font>
								</td>
								<td align="right">
									<font face="Verdana" style="font-size:8pt" color="black">
										<xsl:value-of select="currency/gp"/>
										<xsl:text> </xsl:text>gp
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="currency/sp > 0">
							<tr>
								<td colspan="2">
									<font face="Verdana" style="font-size:8pt" color="black">
					Silver
									</font>
								</td>
								<td align="right">
									<font face="Verdana" style="font-size:8pt" color="black">
										<xsl:value-of select="currency/sp"/>
										<xsl:text> </xsl:text>sp
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="currency/cp > 0">
							<tr>
								<td colspan="2">
									<font face="Verdana" style="font-size:8pt" color="black">
					Copper
									</font>
								</td>
								<td align="right">
									<font face="Verdana" style="font-size:8pt" color="black">
										<xsl:value-of select="currency/cp"/>
										<xsl:text> </xsl:text>cp
									</font>
								</td>
							</tr>
						</xsl:if>
						<tr>
							<td colspan="2">
								<br/>
							</td>
							<td align="right">
								<xsl:call-template name="currency-special">
									<xsl:with-param name="pp" select="sum(currency/pp)"/>
									<xsl:with-param name="gp" select="sum(currency/gp)"/>
									<xsl:with-param name="sp" select="sum(currency/sp)"/>
									<xsl:with-param name="cp" select="sum(currency/cp)"/>
								</xsl:call-template>
							</td>
						</tr>
					</table>
					<hr/>
				</xsl:if>
				<xsl:if test="items/item != ''">
					<xsl:if test="items/item[type = 'Gem'] != ''">
						<table width="100%">
							<tr>
								<td width="5%">
									<br/>
								</td>
								<td width="70%">
									<font face="Verdana" style="font-size:9pt" color="black">
										<b>
											<u>Gems</u>
										</b>
									</font>
								</td>
								<td width="20%">
									<br/>
								</td>
								<td width="5%">
									<br/>
								</td>
							</tr>
							<xsl:for-each select="items/item[type = 'Gem']">
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="name"/>
											<br/>
										</font>
									</td>
									<td align="right">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="cost/@value"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="cost/@name"/>
											<br/>
										</font>
									</td>
								</tr>
							</xsl:for-each>
							<xsl:variable name="tmp-pp" select="sum(items/item[type = 'Gem']/cost[@name = 'pp']/@value)"/>
							<xsl:variable name="tmp-gp" select="sum(items/item[type = 'Gem']/cost[@name = 'gp']/@value)"/>
							<xsl:variable name="tmp-sp" select="sum(items/item[type = 'Gem']/cost[@name = 'sp']/@value)"/>
							<xsl:variable name="tmp-cp" select="sum(items/item[type = 'Gem']/cost[@name = 'cp']/@value)"/>
							<tr>
								<td colspan="2">
									<br/>
								</td>
								<td align="right">
									<xsl:call-template name="currency-special">
										<xsl:with-param name="pp" select="$tmp-pp"/>
										<xsl:with-param name="gp" select="$tmp-gp"/>
										<xsl:with-param name="sp" select="$tmp-sp"/>
										<xsl:with-param name="cp" select="$tmp-cp"/>
									</xsl:call-template>
								</td>
							</tr>
						</table>
						<hr/>
					</xsl:if>
					<xsl:if test="items/item[type = 'Art'] != ''">
						<table width="100%">
							<tr>
								<td width="5%">
									<br/>
								</td>
								<td width="70%">
									<font face="Verdana" style="font-size:9pt" color="black">
										<b>
											<u>Art</u>
										</b>
									</font>
								</td>
								<td width="20%">
									<br/>
								</td>
								<td width="5%">
									<br/>
								</td>
							</tr>
							<xsl:for-each select="items/item[type = 'Art']">
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="name"/>
											<br/>
										</font>
									</td>
									<td align="right">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="cost/@value"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="cost/@name"/>
											<br/>
										</font>
									</td>
								</tr>
							</xsl:for-each>
							<xsl:variable name="tmp-pp" select="sum(items/item[type = 'Art']/cost[@name = 'pp']/@value)"/>
							<xsl:variable name="tmp-gp" select="sum(items/item[type = 'Art']/cost[@name = 'gp']/@value)"/>
							<xsl:variable name="tmp-sp" select="sum(items/item[type = 'Art']/cost[@name = 'sp']/@value)"/>
							<xsl:variable name="tmp-cp" select="sum(items/item[type = 'Art']/cost[@name = 'cp']/@value)"/>
							<tr>
								<td colspan="2">
									<br/>
								</td>
								<td align="right">
									<xsl:call-template name="currency-special">
										<xsl:with-param name="pp" select="$tmp-pp"/>
										<xsl:with-param name="gp" select="$tmp-gp"/>
										<xsl:with-param name="sp" select="$tmp-sp"/>
										<xsl:with-param name="cp" select="$tmp-cp"/>
									</xsl:call-template>
								</td>
							</tr>
						</table>
						<hr/>
					</xsl:if>
					<xsl:if test="items/item[type = 'Goods'] != ''">
						<table width="100%">
							<tr>
								<td width="5%">
									<br/>
								</td>
								<td width="70%">
									<font face="Verdana" style="font-size:9pt" color="black">
										<b>
											<u>Goods</u>
										</b>
									</font>
								</td>
								<td width="20%">
									<br/>
								</td>
								<td width="5%">
									<br/>
								</td>
							</tr>
							<xsl:for-each select="items/item[type = 'Goods']">
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="name"/>
											<br/>
										</font>
									</td>
									<td align="right">
										<font face="Verdana" style="font-size:8pt" color="black">
											<xsl:value-of select="cost/@value"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="cost/@name"/>
											<br/>
										</font>
									</td>
								</tr>
							</xsl:for-each>
							<xsl:variable name="tmp-pp" select="sum(items/item[type = 'Goods']/cost[@name = 'pp']/@value)"/>
							<xsl:variable name="tmp-gp" select="sum(items/item[type = 'Goods']/cost[@name = 'gp']/@value)"/>
							<xsl:variable name="tmp-sp" select="sum(items/item[type = 'Goods']/cost[@name = 'sp']/@value)"/>
							<xsl:variable name="tmp-cp" select="sum(items/item[type = 'Goods']/cost[@name = 'cp']/@value)"/>
							<tr>
								<td colspan="2">
									<br/>
								</td>
								<td align="right">
									<xsl:call-template name="currency-special">
										<xsl:with-param name="pp" select="$tmp-pp"/>
										<xsl:with-param name="gp" select="$tmp-gp"/>
										<xsl:with-param name="sp" select="$tmp-sp"/>
										<xsl:with-param name="cp" select="$tmp-cp"/>
									</xsl:call-template>
								</td>
							</tr>
						</table>
						<hr/>
					</xsl:if>
					<xsl:if  test="items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous' or type = 'Weapon' or type = 'Armor' or type = 'Shield'] != ''">
						<table width="100%">
							<tr>
								<td width="5%">
									<br/>
								</td>
								<td width="70%">
									<font face="Verdana" style="font-size:9pt" color="black">
										<b>
											<u>Magic</u>
										</b>
									</font>
								</td>
								<td width="20%">
									<br/>
								</td>
								<td width="5%">
									<br/>
								</td>
							</tr>
							<xsl:if  test="items/item[type = 'Weapon'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Weapons:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Weapon']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Armor' or type = 'Shield'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Armor:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Armor' or type = 'Shield']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Potion'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Potions:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Potion']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Ring'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Rings:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Ring']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Scroll'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Scrolls:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Scroll']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Rod'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Rods:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Rod']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Staff'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Staffs:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Staff']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Wand'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Wands:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Wand']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:if  test="items/item[type = 'Wondrous'] != ''">
								<tr>
									<td>
										<br/>
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<font face="Verdana" style="font-size:8pt" color="black">
											<b>Wondrous:</b>
										</font>
									</td>
									<td>
										<br/>
									</td>
								</tr>
								<xsl:for-each select="items/item[type = 'Wondrous']">
									<tr>
										<td colspan="2">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="name"/>
												<br/>
											</font>
										</td>
										<td align="right">
											<font face="Verdana" style="font-size:8pt" color="black">
												<xsl:value-of select="cost/@value"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="cost/@name"/>
												<br/>
											</font>
										</td>
									</tr>
									<xsl:apply-templates select="cursed"/>
									<xsl:apply-templates select="intelligent"/>
								</xsl:for-each>
							</xsl:if>
							<xsl:variable name="tmp-pp" select="sum(items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous' or type = 'Weapon' or type = 'Armor' or type = 'Shield']/cost[@name = 'pp']/@value)"/>
							<xsl:variable name="tmp-gp" select="sum(items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous' or type = 'Weapon' or type = 'Armor' or type = 'Shield']/cost[@name = 'gp']/@value)"/>
							<xsl:variable name="tmp-sp" select="sum(items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous' or type = 'Weapon' or type = 'Armor' or type = 'Shield']/cost[@name = 'sp']/@value)"/>
							<xsl:variable name="tmp-cp" select="sum(items/item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous' or type = 'Weapon' or type = 'Armor' or type = 'Shield']/cost[@name = 'cp']/@value)"/>
							<tr>
								<td colspan="2">
									<br/>
								</td>
								<td align="right">
									<xsl:call-template name="currency-special">
										<xsl:with-param name="pp" select="$tmp-pp"/>
										<xsl:with-param name="gp" select="$tmp-gp"/>
										<xsl:with-param name="sp" select="$tmp-sp"/>
										<xsl:with-param name="cp" select="$tmp-cp"/>
									</xsl:call-template>
								</td>
							</tr>
						</table>
					</xsl:if>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="currency-special">
		<xsl:param name="pp" select="0"/>
		<xsl:param name="gp" select="0"/>
		<xsl:param name="sp" select="0"/>
		<xsl:param name="cp" select="0"/>
		<font face="Verdana" style="font-size:9pt" color="black">
			<b>
				<xsl:value-of select="($pp * 10) + $gp + floor(($sp div 10)) + floor(($cp div 100))"/>
				<xsl:if test="(($sp mod 10) + ($cp mod 100)) > 0">+</xsl:if>
				<xsl:text> </xsl:text>gp
			</b>
		</font>
		<br/>
	</xsl:template>
	<xsl:template match="cursed">
		<tr>
			<td></td>
			<td colspan="2">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:value-of select="description"/>
					<br/>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="intelligent">
		<tr>
			<td></td>
			<td colspan="2">
				<font face="Verdana" style="font-size:8pt" color="black">
			Alignment:
					<xsl:text> </xsl:text>
					<xsl:value-of select="alignment"/>
				</font>
			</td>
		</tr>
		<xsl:for-each select="abilities/ability">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="name"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="base"/>
					</font>
				</td>
			</tr>
		</xsl:for-each>
		<tr>
			<td></td>
			<td colspan="2">
				<font face="Verdana" style="font-size:8pt" color="black">
			Communication:
					<xsl:text> </xsl:text>
					<xsl:value-of select="communication"/>
				</font>
			</td>
		</tr>
		<tr>
			<td></td>
			<td colspan="2">
				<font face="Verdana" style="font-size:8pt" color="black">
			Languages:
					<xsl:text> </xsl:text>
					<xsl:value-of select="languages"/>
				</font>
			</td>
		</tr>
		<xsl:if test="read-magic = 'true'">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
				Can Read Magic
					</font>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="read-languages = 'true'">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
				Can Read Languages
					</font>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="primary-abilities/primary-ability != 0">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:for-each select="primary-abilities/primary-ability">
							<xsl:choose>
								<xsl:when test="position() = 1">
					Primary Abilities:
									<xsl:text> </xsl:text>
								</xsl:when>
								<xsl:when test="position() = last()">
									<xsl:text>.</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>; </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:value-of select="."/>
						</xsl:for-each>
					</font>
				</td>
			</tr>
		</xsl:if>
		<tr>
			<td></td>
			<td colspan="2">
				<font face="Verdana" style="font-size:8pt" color="black">
			Special Purpose:
					<xsl:text> </xsl:text>
					<xsl:value-of select="special-purpose"/>
				</font>
			</td>
		</tr>
		<xsl:if test="purpose-powers/purpose-power != 0">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:for-each select="purpose-powers/purpose-power">
							<xsl:if test="position() = 1">
					Purpose Power:
								<xsl:text> </xsl:text>
							</xsl:if>
							<xsl:value-of select="."/>
							<xsl:choose>
								<xsl:when test="position() = last()">
									<xsl:text>.</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>; </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</font>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="extraordinary-powers/extraordinary-power != 0">
			<tr>
				<td></td>
				<td colspan="2">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:for-each select="extraordinary-powers/extraordinary-power">
							<xsl:if test="position() = 1">
					Extraordinary Power:
								<xsl:text> </xsl:text>
							</xsl:if>
							<xsl:value-of select="."/>
							<xsl:choose>
								<xsl:when test="position() = last()">
									<xsl:text>.</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>; </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</font>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>