<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="items">
	<xsl:if test="item[type = 'Weapon'] != ''">
		<br/><b>Weapons:</b><xsl:text> </xsl:text>
		<xsl:for-each select="item[type = 'Weapon']">
			<xsl:value-of select="name"/>
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>; </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>

	<xsl:if test="item[type = 'Armor'] != ''">
		<br/><b>Armor:</b><xsl:text> </xsl:text>
		<xsl:for-each select="item[type = 'Armor']">
			<xsl:value-of select="name"/>
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>; </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>

	<xsl:if test="item[type = 'Shield'] != ''">
		<br/><b>Shields:</b><xsl:text> </xsl:text>
		<xsl:for-each select="item[type = 'Shield']">
			<xsl:value-of select="name"/>
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>; </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>

	<xsl:if test="item[type = 'Goods' or type = 'Art' or type = 'Gem'] != ''">
		<br/><b>Goods:</b><xsl:text> </xsl:text>
		<xsl:for-each select="item[type = 'Goods' or type = 'Art' or type = 'Gem']">
			<xsl:value-of select="name"/>
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>; </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>

	<xsl:if test="item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous'] != ''">
		<br/><b>Magic:</b><xsl:text> </xsl:text>
		<xsl:for-each select="item[type = 'Potion' or type = 'Ring' or type = 'Rod' or type = 'Scroll' or type = 'Staff' or type = 'Wand' or type = 'Wondrous']">
			<xsl:value-of select="type"/>:
			<xsl:text> </xsl:text>
			<xsl:value-of select="name"/>
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>; </xsl:text>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>


