<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="no" encoding="UTF-8"/>


<xsl:template match="/character">
	<body bgcolor="white"/>

	<xsl:choose>
	<xsl:when test="gender != ''">
		<font face="Verdana" style="font-size:9pt">
			<xsl:value-of select="classes/string"/>
		</font>
	</xsl:when>
	<xsl:otherwise>
		<font face="Verdana" style="font-size:9pt">
			<xsl:value-of select="race"/>
			<xsl:text> </xsl:text>
			<xsl:value-of select="class"/>
		</font>
	</xsl:otherwise>
	</xsl:choose>


	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td align="center" width="30%" style="border-right: 1pt solid black; border-left: 2pt solid black; border-top: 2pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<b><xsl:value-of select="name"/></b>
			</font>
		</td>
		<td align="center" width="30%" style="border-left: 1pt solid black; border-right: 1pt solid black; border-top: 2pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<xsl:value-of select="race"/><br/>
			</font>
		</td>
		<td align="center" width="10%" style="border-left: 1pt solid black; border-right: 1pt solid black; border-top: 2pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<xsl:value-of select="hit-points"/><br/>
			</font>
		</td>
		<td width="10%" style="border-right: 1pt solid black; border-top: 2pt solid black"><br/></td>

		<td align="center" width="20%" style="border-left: 1pt solid black; border-right: 2pt solid black; border-top: 2pt solid black">
			<font face="Verdana" style="font-size: 9pt">
				<xsl:for-each select="speeds/speed">
					<xsl:if test="position() &gt; 1">
						<xsl:text>, </xsl:text>
					</xsl:if>
					<xsl:choose>
					<xsl:when test="name = 'Base'">
						<xsl:value-of select="value"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="name"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="value"/>
					</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="gray" style="border-right: 1pt solid black; border-left: 2pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>NAME</b>
			</font>
		</td>
		<td align="center" bgcolor="gray" style="border-right: 1pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>RACE</b>
			</font>
		</td>
		<td align="center" bgcolor="gray" colspan="2" style="border-right: 1pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>HP</b>
			</font>
		</td>
		<td align="center" bgcolor="gray" style="border-right: 2pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>SPEED</b>
			</font>
		</td>
	</tr>
	</table>

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
	<td width="50%" valign="top" style="border-right: 2pt solid black">

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">

	<xsl:for-each select="equiped-items/weapons">
		<xsl:for-each select="weapon">
			<tr>
				<td align="center" width="20%" style="border-right: 1pt solid black; border-top: 1pt solid black; border-left: 2pt solid black">
					<font face="Verdana" style="font-size:9pt">
					<xsl:value-of select="name"/><br/>
					<xsl:value-of select="use-type"/>
					<xsl:text> </xsl:text>
					<xsl:value-of select="type"/>
					</font>
				</td>
				<td align="center" width="10%" style="border-right: 1pt solid black; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:9pt">
						<xsl:value-of select="bonus"/><br/>
					</font>
				</td>
				<td align="center" width="10%" style="border-right: 1pt solid black; border-top: 1pt solid black">
					<font face="Verdana" style="font-size:9pt">
						<xsl:value-of select="damage"/><br/>
					</font>
				</td>
				<td align="center" width="10%" style="border-top: 1pt solid black">
					<font face="Verdana" style="font-size:9pt">
						<xsl:value-of select="critical"/><br/>
					</font>
				</td>
			</tr>
			<xsl:if test="position() = last()">
			<tr>
				<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black; border-left: 2pt solid black">
					<font face="Verdana" style="font-size:7pt">
						<b>WEAPON/TYPE</b>
					</font>
				</td>
				<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">
					<font face="Verdana" style="font-size:7pt">
						<b>ATK</b>
					</font>
				</td>
				<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">
					<font face="Verdana" style="font-size:7pt">
						<b>DAM</b>
					</font>
				</td>
				<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black">
					<font face="Verdana" style="font-size:7pt">
						<b>CRIT</b>
					</font>
				</td>
			</tr>
			</xsl:if>
		</xsl:for-each>
	</xsl:for-each>

		<tr>
			<td colspan="4" style="border-top: 1pt solid black"><br/></td>
		</tr>
	</table>

	</td>
	<td width="50%">

	<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td align="center" style="border-top: 1pt solid black; border-right: 1pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<xsl:value-of select="sum(armor-class/modifiers/modifier[@name != 'misc']/@value)"/><br/>
			</font>
		</td>

		<td align="center" style="border-top: 1pt solid black; border-left: 1pt solid black; border-right: 1pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<xsl:variable name="init" select="sum(initiative/modifiers/modifier[@name != 'misc']/@value)"/>
				<xsl:choose>
				<xsl:when test="$init >= 0">
					+<xsl:value-of select="$init"/>
				</xsl:when>
				<xsl:otherwise>
					-<xsl:value-of select="$init"/>
				</xsl:otherwise>
				</xsl:choose>
				<br/>
			</font>
		</td>

		<xsl:for-each select="saving-throws/saving-throw">
			<td align="center">
			<xsl:choose>
			<xsl:when test="position() = last()">
				<xsl:attribute name="style">border-right: 2pt solid black; border-top: 1pt solid black</xsl:attribute>
			</xsl:when>
			<xsl:when test="position() = 1">
				<xsl:attribute name="style">border-left: 1pt solid black; border-right: 1pt solid black; border-top: 1pt solid black</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="style">border-right: 1pt solid black; border-top: 1pt solid black</xsl:attribute>
			</xsl:otherwise>
			</xsl:choose>
				<font face="Verdana" style="font-size:9pt">
					<xsl:variable name="save" select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
					<xsl:choose>
					<xsl:when test="$save >= 0">
						+<xsl:value-of select="$save"/>
					</xsl:when>
					<xsl:otherwise>
						-<xsl:value-of select="$save"/>
					</xsl:otherwise>
					</xsl:choose>
					<br/>
				</font>
			</td>
		</xsl:for-each>
	</tr>
	<tr>
		<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>AC</b>
			</font>
		</td>

		<td bgcolor="gray" align="center" style="border-left: 1pt solid black; border-right: 1pt solid black; border-bottom: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>INIT</b>
			</font>
		</td>

		<td bgcolor="gray" align="center" style="border-left: 1pt solid black; border-bottom: 1pt solid black; border-right: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>FORT</b>
			</font>
		</td>
		<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black; border-right: 1pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>REF</b>
			</font>
		</td>
		<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black; border-right: 2pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>WILL</b>
			</font>
		</td>
	</tr>
	<tr>
		<td bgcolor="gray" colspan="5" align="center" style="border-top: 1pt solid black; border-right: 2pt solid black">
			<font face="Verdana" style="font-size:7pt">
				<b>SPELLS</b>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="5" style="border-right: 2pt solid black; border-bottom: 2pt solid black">
			<font face="Verdana" style="font-size:9pt">
				<xsl:call-template name="spells"/>
			</font>
		</td>
	</tr>


	</table>
</td>
</tr>
</table>
</xsl:template>


<xsl:template name="spells">
	<xsl:for-each select="spells-known/class">
		<xsl:if test="full-name != 'Cleric'">
		<xsl:if test="position() = 1">
			Spells Known<br/>
		</xsl:if>
		<i><xsl:value-of select="name"/></i><br/>

		<xsl:if test="count(spell[level = '0']) > 0">
			<b><xsl:text>0 - </xsl:text></b>
			<xsl:for-each select="spell[level = '0']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '1']) > 0">
			<b><xsl:text>1st - </xsl:text></b>
			<xsl:for-each select="spell[level = '1']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '2']) > 0">
			<b><xsl:text>2nd - </xsl:text></b>
			<xsl:for-each select="spell[level = '2']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '3']) > 0">
			<b><xsl:text>3rd - </xsl:text></b>
			<xsl:for-each select="spell[level = '3']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '4']) > 0">
			<b><xsl:text>4th - </xsl:text></b>
			<xsl:for-each select="spell[level = '4']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '5']) > 0">
			<b><xsl:text>5th - </xsl:text></b>
			<xsl:for-each select="spell[level = '5']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '6']) > 0">
			<b><xsl:text>6th - </xsl:text></b>
			<xsl:for-each select="spell[level = '6']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '7']) > 0">
			<b><xsl:text>7th - </xsl:text></b>
			<xsl:for-each select="spell[level = '7']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '8']) > 0">
			<b><xsl:text>8th - </xsl:text></b>
			<xsl:for-each select="spell[level = '8']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<xsl:if test="count(spell[level = '9']) > 0">
			<b><xsl:text>9th - </xsl:text></b>
			<xsl:for-each select="spell[level = '9']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<br/>
		</xsl:if>
	</xsl:for-each>

	<br/>

	<xsl:for-each select="spells-prepared/class">
		<xsl:if test="position() = 1">
			Spells Prepared<br/>
		</xsl:if>
		<i><xsl:value-of select="name"/></i><br/>

		<xsl:if test="count(spell[level = '0']) > 0">
			<b><xsl:text>0 - </xsl:text></b>
			<xsl:for-each select="spell[level = '0']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '1']) > 0">
			<b><xsl:text>1st - </xsl:text></b>
			<xsl:for-each select="spell[level = '1']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '2']) > 0">
			<b><xsl:text>2nd - </xsl:text></b>
			<xsl:for-each select="spell[level = '2']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '3']) > 0">
			<b><xsl:text>3rd - </xsl:text></b>
			<xsl:for-each select="spell[level = '3']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '4']) > 0">
			<b><xsl:text>4th - </xsl:text></b>
			<xsl:for-each select="spell[level = '4']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '5']) > 0">
			<b><xsl:text>5th - </xsl:text></b>
			<xsl:for-each select="spell[level = '5']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '6']) > 0">
			<b><xsl:text>6th - </xsl:text></b>
			<xsl:for-each select="spell[level = '6']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '7']) > 0">
			<b><xsl:text>7th - </xsl:text></b>
			<xsl:for-each select="spell[level = '7']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '8']) > 0">
			<b><xsl:text>8th - </xsl:text></b>
			<xsl:for-each select="spell[level = '8']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>

		<xsl:if test="count(spell[level = '9']) > 0">
			<b><xsl:text>9th - </xsl:text></b>
			<xsl:for-each select="spell[level = '9']">
				<xsl:sort select="string(.)"/>
				<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
				<xsl:choose>
				<xsl:when test="position() != last()">
					<xsl:text>, </xsl:text>
				</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<br/>
		</xsl:if>
		<br/>
	</xsl:for-each>
</xsl:template>


<xsl:template match="count">
	<xsl:if test=". &gt; 1">
		<xsl:text> x</xsl:text><xsl:value-of select="."/>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>










